import QtQuick 2.9
import QtQuick.Window 2.3

Rectangle{
    id: root
    width: 360
    height: 360

    Rectangle{
        id:blueRect
        color: "blue"
        width: 360/2
        height: 360/2

        states: [
            State {
                name: "CLICKED"
                AnchorChanges {
                    target: blueRect
                    anchors.horizontalCenter: root.horizontalCenter
                    anchors.bottom: root.bottom
                }

                PropertyChanges {
                    target: blueRect;
                    color: "green"
                    rotation: 360
                }
            }

        ]
        transitions: [
            Transition {
                //并行动画
                ParallelAnimation{
                    RotationAnimation{target: blueRect; to: 360; easing.type: Easing.OutCirc}
                    AnchorAnimation{duration: 1200; easing.type: Easing.OutBounce}
                    ColorAnimation {  duration: 1200   }
                }
            }
        ]
    }
    MouseArea{
        anchors.fill: blueRect
        onClicked: {
            blueRect.state = "CLICKED"
        }

    }

}
