﻿import QtQuick 2.9
Rectangle{
    width: 360
    height: 360
    Timer{

        interval : 500
        repeat : true
        running : true
        onTriggered: {
            //time.text = Date().toString()
            time.text = Qt.formatDateTime(new Date(),"yy-MM-dd hh : mm : ss ap")
        }

    }

    Text{
        id:time
        text: "hello world!"
        anchors.centerIn: parent
    }

    Component {
        id: redSquare

        Rectangle {
            color: "red"
            width: 10
            height: 10
        }
    }

    Loader{
        id:loader
//        source: Qt.resolvedUrl("addMe.qml")
    }

    MouseArea{
        anchors.fill: parent
        onClicked: {
            //Qt.openUrlExternally("http://www.baidu.com")
            //Qt.openUrlExternally("F:/CharleeChan/Music/wuyue.mp3")
            loader.source = Qt.resolvedUrl("addMe.qml")
            loader.sourceComponent = redSquare
            console.log(Qt.platform.os)
            //Qt.quit();
        }
    }
}
