//Rectangle, Text and MouseArea等Item均在此库里
import QtQuick 2.9
//Window库 Screen在里面
import QtQuick.Window 2.2

Rectangle {
    id: root
    width: Screen.width
    height:  Screen.height


    color: "black"

    MyButton{

        //A button is consisted of a Rectangle, a Text and a MouseArea

        //innner property
        width: parent.width/2
        height: 70
        anchors.centerIn: parent


        //Rectangle property
        backColor: "blue"
        borderColor: "green"
        borderWidth: 4
        radius: 20



        //Text property
        text: "my custom button"
        textColor: "black"
        fontSize: Math.round(parent.height/18)

        //MouseArea property
        hoverEnabled: true
        //onEntered
        enteredColor: "#FFFFFF"
        enteredScale: 1.5
        enteredBorderColor: "#000000"

        //onExited
        exitedColor: "#E0E0E0"
        exitedScale: 1
        exitedBorderColor: "#101010"

        //slots
        onButtonClicked:{
            console.log("I'm the SLOT. I have received the signal.");
            console.log(Screen.width);
        }


    }


}
