﻿import QtQuick 2.9

Item {
    id: root
    width: 800
    height: 600

    Image {
        id: qtlogo
        //source: "logo.jpg"
        source: "http://pngimg.com/uploads/apple/apple_PNG12509.png"

        onProgressChanged: {
            if(progress<1)
                 testing.text = "Loading..." + Math.round(progress*100)+"%"
        }
        onStatusChanged: {
            if(status==Image.Ready)
            {
                testing.text = "Your image is Loaded from \n"+source
            }
        }

        sourceSize.width: root.width/2
        sourceSize.height: root.height/2
        anchors{
            horizontalCenter: root.horizontalCenter
        }


    }

    Text{

        id: testing
        text: " "
        visible: true
        anchors{
            top: qtlogo.bottom
            topMargin: 10
            horizontalCenter: qtlogo.horizontalCenter
        }
    }


}



