import QtQuick 2.9
import QtQuick.Window 2.3

Rectangle{
    id: root
    width: 360
    height: 360
    color: "black"

    Rectangle{
        id: greenRect
        width: 50
        height: 50
        color: "green"
    }


//SequentialAnimation 顺序地执行其中的动画
SequentialAnimation{
    running: true
    loops: Animation.Infinite
    //move to right of screen
    NumberAnimation{
        target: greenRect
        property: "x"
        to: root.width-greenRect.width
        duration: 1400
    }
     //move to right bottom
    NumberAnimation{
        target: greenRect
        property: "y"
        to: root.height-greenRect.height
        duration: 1400
    }
    //move to left bottom
    NumberAnimation{
        target: greenRect
        property: "x"
        to: 0
        duration: 1400
    }
    //back to orignalposition
    NumberAnimation{
        target: greenRect
        property: "y"
        to: 0
        duration: 1400
    }

}

}
