import QtQuick 2.9
import QtQuick.Controls 2.2
import QtQuick.Dialogs 1.2
import QtQuick.Window 2.2

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Button{
        id:button
        width: parent.width
        text: "open dialog"
        onClicked: {
            simpleDialog.open()
        }
    }

    MessageDialog{
        id: simpleDialog
        title: "Simple Dialog"

        modality: Qt.ApplicationModal

        text: "this is the main text of header"
        informativeText: "this is what sites under the header text you will see"
//        icon: StandardIcon.Question
        icon: StandardIcon.Information
//        icon: StandardIcon.Warning
        detailedText: "This Text is not shown unless the user clicks the detail button"

        standardButtons:  StandardButton.Ok | StandardButton.Cancel

        onAccepted: Qt.quit()
        onRejected: {
            this.close()
            button.text = "Just Closed"
        }

    }
}
