import QtQuick 2.9

Rectangle{
    id: root
    width: 640
    height: 480
    color: "blue"

    Rectangle {
        id: myButton
        width: 100
        height: Math.round(width*0.25)
        color: "#F0F0F0"
        border.color: "white"
        border.width: 2
        radius: 20
        //signal onCLicked

        Text {
            id: buttonText
            anchors.centerIn: parent
            horizontalAlignment: Text.AlignHCenter
            text: qsTr("MyButton")
            color: "#000000"
            font.pixelSize: Math.round(parent.height*0.8)
        }

        MouseArea {
            id: buttonMouseArea
            anchors.fill: parent
            hoverEnabled: true

            onEntered: {
                parent.border.color = "black"
            }
            onExited: {
                parent.border.color = "#F0F0F0"
            }
            onClicked: {
                //emit clicked signal
                Qt.quit()
            }

        }
    }

}
