import QtQuick 2.9


Rectangle{
    id:root
    width: 360
    height: 360
    color: "black"


    Column{
        spacing: 10
        Rectangle{
            id: blueRect
            width: 360
            height: 360/3.3
            color: activeFocus?"blue":"grey"
            focus:true
            KeyNavigation.down: redRect
            KeyNavigation.up: yellowRect
        }

        Rectangle{
            id: redRect
            width: 360
            height: 360/3.3
            //color:  activeFocus?"red":"grey"
            color: {
                if(activeFocus)
                    "red"
                else
                    "grey"
            }
            KeyNavigation.down: yellowRect
            KeyNavigation.up: blueRect
        }

        Rectangle{
            id: yellowRect
            width: 360
            height: 360/3.3

            color: activeFocus?"yellow":"grey"
            KeyNavigation.down: blueRect
            KeyNavigation.up: redRect
        }
    }
}
