import QtQuick 2.9
import QtQuick.Window 2.2

Rectangle{
    width:Screen.width/2
    height: Screen.height/2

    Column{
        Header{id:header}
        ListView{
            width:Screen.width/2
            height: Screen.height/2
            spacing: 10
            //每个View必须有model和delegate
            //model负责产生数据库,可以是数值如5,list如["Name","Sex","Age"],或listmodel(由多个listelement组成,每个listelement是由
            //一个或多个Key:value 键值对 组成)


            model: MyModel{id: mod}

            //delegate负责绘制图形,可以是自定义或基本组件来组合为Item, 通过使用model里的index,modelData以及自定义的listmodel的属性来访问数据的值
            delegate: MyDelegate{id:del}
        }
    }

}
